View Issue Details

IDProjectCategoryView StatusLast Update
0025219LazarusLCLpublic2014-10-01 23:04
ReporterZdravko GabrovskiAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version1.3 (SVN)Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0025219: Lazarus enhancement - DBGrid Columnt property editor with a new functionality
DescriptionThis enhancement creates a new TDBGridColumns property editor. The new functionality is to fetch all the columns from TDataset Fileds collection with "Add fields" new button.
Also I add a button for delete all columns in the DBGrid Columns collection.
Steps To ReproduceThe changes are:
New property editor TDBGridColumnsPropertyEditor, inherited from TCollectionPropertyEditor in DBPropEdits.pas.
New unit and new form - DBGrigColumnsPropEditForm, for editing TDBGridColumns property.
Additional InformationAttached file contains .diff file and .pas and .lfm files.
TagsNo tags attached.
Fixed in Revision46395
LazTarget1.4
Widgetset
Attached Files

Activities

Zdravko Gabrovski

2013-10-20 16:49

reporter  

dbpropedits.zip (5,243 bytes)

Reinier Olislagers

2013-10-20 16:53

developer   ~0070921

Jesus, something for you? I took a chance and assigned it to you ;)

Zdravko Gabrovski

2013-10-26 21:54

reporter  

dbpropedits1.zip (5,570 bytes)

Zdravko Gabrovski

2013-10-26 21:58

reporter   ~0070978

Today, 26.10.2013, I add a new functionality called "Fetch labels". This will give to developer the easiest way to update title.captions in the grid with displaylabel of the filed.
This is very helpful for porting non-english language DELPHI applications.

Jesus Reyes

2014-10-01 23:04

developer   ~0077863

Applied After modified and addapted to current version.

Thanks.

Issue History

Date Modified Username Field Change
2013-10-20 10:44 Zdravko Gabrovski New Issue
2013-10-20 10:44 Zdravko Gabrovski File Added: DBGrigColumnsPropEditForm.zip
2013-10-20 16:49 Zdravko Gabrovski File Added: dbpropedits.zip
2013-10-20 16:52 Reinier Olislagers File Deleted: DBGrigColumnsPropEditForm.zip
2013-10-20 16:53 Reinier Olislagers Note Added: 0070921
2013-10-20 16:53 Reinier Olislagers Assigned To => Jesus Reyes
2013-10-20 16:53 Reinier Olislagers Status new => assigned
2013-10-26 21:54 Zdravko Gabrovski File Added: dbpropedits1.zip
2013-10-26 21:58 Zdravko Gabrovski Note Added: 0070978
2014-10-01 23:04 Jesus Reyes Fixed in Revision => 46395
2014-10-01 23:04 Jesus Reyes LazTarget => 1.4
2014-10-01 23:04 Jesus Reyes Note Added: 0077863
2014-10-01 23:04 Jesus Reyes Status assigned => resolved
2014-10-01 23:04 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-10-01 23:04 Jesus Reyes Resolution open => fixed
2014-10-01 23:04 Jesus Reyes Target Version => 1.4